.header__holder {

    &-bg {
        background-color: black;
        background-image: url("@img/bg-hero.png");
        background-position: center top 20px;
        background-size: cover;
        background-repeat: no-repeat;
        height: 720px;
        position: relative;
        min-width: $min-width;

        &::after {
            content: "Unlimited 30-Days Trial Period";
            display: block;
            text-align: center;
            position: absolute;
            bottom: -50px;
            margin:0 auto;
            left: 0;
            right: 0;
            color:#848E97;
            font-size: 14px;
            letter-spacing: 1px;
            @media screen and (min-width: $screen-sm) {
                bottom: -65px;
            }

        }

        @media screen and (min-width: $screen-sm) {
            height: 788px;
        }

        @media screen and (min-width: $screen-xl){
            background-size: contain;
        }
    }

    &-content {
        @media screen and (min-width: $screen-xl){
            max-width: $max-width;
            margin: 0 auto;
        }
    }
    
}

.header {
    background-color: $header-nav-background-color;
    color: $main-text-color;
    height: 106px;
    padding: 35px 16px;
    
    
    &__conteiner {
        @include flex-row;
    }
    &__logo { 
        transition-duration: .3s;
        cursor: pointer;

        &-wrapp {
            width: 43px;
            height: 41px;
            background-image: url('@img/Logo.png');
            background-size: cover;
            background-repeat: no-repeat;
        } 

        &-text {
            display: none;          
        } 

        &:hover &-text {
            color: $main-text-color;
        }

        &:hover &-wrapp {
            background-image: url('@img/Logo-hover.png');
        }
    }

    &__menu {
        visibility: hidden;
        display: block;
        position: absolute;
        top: 103px;
        right: 16px;
        width: 293px;
        height: 379px;
        padding-top: 10px;
        background-color: $menu-background-color;

        &--active {
            visibility: visible;
        }

        &-link {
            display: flex;
            align-items: center;
            height: 88px;
            padding-left: 40px;
            font-family: $main-font;
            font-size: 26px;
            font-weight: $regular-font-weight;
            text-decoration: none;
            text-transform: capitalize;
            border-bottom: 3px solid rgba(132, 142, 151, 0.3);
            position: relative;
            &:active {
                color: $theme-color;
                &::before {
                    content: "";
                    position: absolute;
                    width: 8px;
                    height: 53px;
                    left: 0;
                    top: 19px;
                    background-color: $btn-backgrround-color;
                }
            }

            &:focus {
                color: $theme-color;
                &::before {
                    content: "";
                    position: absolute;
                    width: 8px;
                    height: 53px;
                    left: 0;
                    top: 19px;
                    background-color: $btn-backgrround-color;
                }
            }
        }
    }

    &__intro {
        text-align: center;
        align-items: center;
        font-family: $main-font;
        color: $main-text-color;
        padding: 0 15px;

        &-title {
            font-size: 48px;
            font-weight: $bolt-font-weight;
            padding-top: 50px;
        }

        &-text {
            font-size: 18px;
            line-height: 24px;
            color: $theme-color;
            padding-top: 20px;
        }
        &-description {
            font-size: 14px;
            text-transform: uppercase;
            color: $additional-text-color;
            padding-top: 19px;
        }

    }

    @media screen and (min-width: $screen-sm) { 
        height: 118px;
        padding-top: 22px;
        &__logo {
            display: flex;
            align-items: center;
            &-text {
                display: block;
                padding-left: 17px;
                text-transform: uppercase;
                font-family: $secondary-font;
                font-weight: $bolt-font-weight;
                color: $theme-color;
                font-size: 24px;
            }
        }

        &__menu {
            display: flex;
            justify-content: space-between;
            align-items: center;
            visibility: visible;
            position: static;
            width: 100%;
            max-width: 517px;
            height: 21px;
            background-color: unset;
            margin: 0 auto;
            padding-top: 28px;

            &-link {
                font-family: $main-font;
                font-size: 16px;
                font-weight: $bolt-font-weight;
                color: $theme-color;
                text-decoration: none;
                text-transform: capitalize;
                border-bottom: none;
                height: 15px;
                padding: 0;
                &:hover {
                    color: $main-text-color;
                }
                &:active::before {
                    display: none;
                }
                &:focus::before {
                    display: none;
                }
            }    
        }

        &__intro {
            &-title {
                padding-top: 61px;
                font-size: 72px;
            }
            &-text {
                padding-top: 16px;
                letter-spacing: 1.1px;
            }
        }

    }
    @media screen and (min-width: $screen-md) { 
        background-color: unset;


        &__menu {
            align-items: center;
            position: relative;
            min-width: 517px;
            top:-48px;
            left: 137px;
        }
        &__intro {
            &-title {
                font-size: 82px;
                padding-top: 50px;
            }
            &-text {
                padding-top: 23px;
                font-size: 24px;
                letter-spacing: normal;
            }
            &-description {
                font-size: 16px;
            }
        }
    }

    @media screen and (min-width: $screen-xl) {
        padding: 19px 0;
    }

}

